lwIP 2.1.2 Lightweight IP stack

Macros | Functions
ethernet.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/pbuf.h"`
`#include "lwip/netif.h"`
`#include "lwip/prot/ethernet.h"`

## Macros
#define | LWIP_ARP_FILTER_NETIF 0

## Functions
err_t | ethernet_input (struct pbuf *p, struct netif *netif)
err_t | ethernet_output (struct netif *netif, struct pbuf *p, const struct eth_addr *src, const struct eth_addr *dst, u16_t eth_type)

## Detailed Description

Ethernet input function - handles INCOMING ethernet level traffic To be used in most low-level netif implementations

## Macro Definition Documentation

## ◆ LWIP_ARP_FILTER_NETIF

#define LWIP_ARP_FILTER_NETIF 0

Define this to 1 and define LWIP_ARP_FILTER_NETIF_FN(pbuf, netif, type) to a filter function that returns the correct netif when using multiple netifs on one hardware interface where the netif's low-level receive routine cannot decide for the correct netif (e.g. when mapping multiple IP addresses to one hardware interface).